Bug 131578 - Apache not load module
Summary: Apache not load module
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-02 14:26 UTC by Tomo Vuckovic
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-06 12:05:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomo Vuckovic 2004-09-02 14:26:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040831

Description of problem:
After rebuild httpd source, httpd service not starting.

Module error :

Cannot load /etc/httpd/modules/mod_dav.so into server:
/etc/httpd/modules/mod_dav.so: undefined symbol: ap_xml_parse_input

Cannot load /etc/httpd/modules/mod_dav_fs.so into server:
/etc/httpd/modules/mod_dav_fs.so: undefined symbol:
dav_hook_gather_propsets

Version-Release number of selected component (if applicable):
httpd-2.0.50-4.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. rebuild httpd
2. install new httpd rpm
3. restart httpd service
4. module load error
    

Additional info:

Comment 1 Joe Orton 2004-09-02 14:31:39 UTC
Well, if it works from the prebuilt binaries, you need to work out
what is different about your system which breaks this.  What's the
output of:

nm -D /usr/sbin/httpd | grep ap_xml_parse
nm -D /etc/httpd/modules/mod_dav.so | grep dav_hook

Comment 2 Tomo Vuckovic 2004-09-02 15:43:51 UTC
- Output of nm -D /usr/sbin/httpd | grep ap_xml_parse is none

- Output of nm -D /etc/httpd/modules/mod_dav.so | grep dav_hook is:

  0000a5b0 T dav_hook_find_liveprop
  0000a770 T dav_hook_gather_propsets
  0000a870 T dav_hook_get_find_liveprop
  0000a850 T dav_hook_get_gather_propsets
  0000a900 T dav_hook_get_insert_all_liveprops
  0000a4d0 T dav_hook_insert_all_liveprops



Comment 3 Joe Orton 2004-09-02 17:12:28 UTC
- Output of nm -D /usr/sbin/httpd | grep ap_xml_parse is none

httpd has failed to build properly.  If you grep for ap_hack, does
that give output?  Are you building with an unusual $LANG/$LC_ALL/etc?
 Try a C locale.

- Output of nm -D /etc/httpd/modules/mod_dav.so | grep dav_hook is:

  0000a5b0 T dav_hook_find_liveprop
  0000a770 T dav_hook_gather_propsets

Check your httpd.conf to ensure that the LoadModule for mod_dav_fs.so
is later on in the file.




Note You need to log in before you can comment on or make changes to this bug.